
GammaLib - Action #637

Feature # 633 (Closed): Implement handling of INDEF etc in GPar

Add parameter check and initialization during GPar constructor

12/14/2012 04:54 PM - Knödlseder Jürgen

Status: Closed Start date: 12/14/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-07-00   

Description

History

#1 - 12/14/2012 04:57 PM - Knödlseder Jürgen

The parameter validity should be checked during GPar construction. The GPar constructor is used when reading the parameter file, hence validity

check during construction makes sure while reading that the parameter is correct.

The following checks should be done:

make sure that value is compliant with min and max

make sure that type is valid

make sure that model is valid

Furthermore, we should initialize the status of the parameter (e.g. undefined, nan).

#2 - 12/14/2012 04:59 PM - Knödlseder Jürgen

The type and mode are already checked by using the type() and mode() methods.

#3 - 12/14/2012 05:51 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

The status parameter is initialized.

Parameter checking is requested by feature #285, we don't cover it here.

#4 - 12/21/2012 12:16 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
